import torch
import sys
from transformers import AutoModelForSeq2SeqLM, AutoTokenizer


def correct_text(text):
    model_name = "sdadas/byt5-text-correction"
    model = AutoModelForSeq2SeqLM.from_pretrained(model_name)
    tokenizer = AutoTokenizer.from_pretrained(model_name, model_max_length=512)

    # Tokenizuj tekst wejściowy
    inputs = tokenizer(text, return_tensors="pt", padding=True, truncation=True)

    # Wygeneruj poprawiony tekst
    with torch.no_grad():
        outputs = model.generate(**inputs, max_new_tokens=len(text) + 10)

    # Dekoduj wygenerowany tekst
    corrected_text = tokenizer.decode(outputs[0], skip_special_tokens=True)
    return corrected_text


if __name__ == "__main__":
    text = sys.argv[1]
    corrected_text = correct_text(text)
    print(f"{corrected_text}")
