package pl.github.korbecki.krzysciak;

import java.io.*;
import java.nio.charset.StandardCharsets;

public class SpellChecker {
    public String deeplLearningCorrectText(String text) {
        try {
            String exePath = "src/dist/spell";

            ProcessBuilder processBuilder = new ProcessBuilder(exePath, "<pl>"+text);
            processBuilder.redirectErrorStream(true);
            processBuilder.redirectInput(ProcessBuilder.Redirect.PIPE);

            Process process = processBuilder.start();

            BufferedReader reader = new BufferedReader(new InputStreamReader(process.getInputStream(),   StandardCharsets.UTF_8));

            String line;
            StringBuilder output = new StringBuilder();
            while ((line = reader.readLine()) != null) {
                output.append(line).append("\n");
            }

            int exitCode = process.waitFor();
            System.out.println("Kod wyjścia: " + exitCode);
            System.out.println("Poprawiony tekst:\n" + output);
            return output.toString();

        } catch (IOException | InterruptedException e) {
            e.printStackTrace();
            return null;
        }
    }
}